Enable backup for a volume (v3)
POST /account/{accountId}/providers/cloudmanager_cbs/api/v3/backup/working-environment/{workingEnvironmentId}/volume/{volumeId}
Enables backup for a specified volume (version V3). This version of the endpoint runs the job asynchronously. Backup is not allowed for a volume enabled with a SnapLock license (WORM license). You can configure the different backup modes. The AD_HOC mode creates an on-demand snapshot and stores a backup on the respective cloud. SCHEDULED mode (default mode) creates snapshots according to the ONTAP snapshot policy and stores a backup on the cloud according to the backup policy. Based on the defined backup policy, this API endpoint creates a SnapMirror to cloud relationship with a specific cloud object storage system. You can use this endpoint to set the archive after days parameter to move the volume data to the archive tier and also enable the object lock and ransomware detection feature on the volume.
Token usage: NetApp Console user token.
|
|
NetApp recommends that you use this endpoint for on-demand (AD_HOC) backups of a volume. To enable backup on volumes, including for multi-bucket or per-volume object storage configurations, use the v2 panoramic protection API. |
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
accountId |
string |
path |
True |
Account ID |
workingEnvironmentId |
string |
path |
True |
System ID |
volumeId |
string |
path |
True |
Volume ID |
authorization |
string |
header |
True |
User token |
X-Agent-Id |
string |
header |
True |
Request identifier |
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
mode |
string |
False |
AD_HOC mode creates an on-demand snapshot and backs it up on the respective cloud. SCHEDULED mode creates snapshots as per the ONTAP snapshot policy and backs it up to the cloud as per the backup policy. [Deprecated] IMMEDIATE mode is designed for internal use cases and cannot be used for newer integrations
|
adhoc-backup-details |
False |
||
backup-policy |
False |
Example request
{
"mode": "string",
"adhoc-backup-details": {
"name": "string",
"snapmirrorLabel": "string"
},
"backup-policy": {
"name": "string",
"rule": [
{
"label": "string",
"retention": "string"
}
],
"archive-after-days": "string",
"object-lock": "string"
}
}
Response
Status: 202, Default response
| Name | Type | Required | Description |
|---|---|---|---|
job-id |
string |
False |
Example response
{
"job-id": "string"
}
Definitions
See Definitions
adhoc-backup-details
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
False |
|
snapmirrorLabel |
string |
False |
rule
| Name | Type | Required | Description |
|---|---|---|---|
label |
string |
False |
|
retention |
string |
False |
backup-policy
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
False |
Required input |
rule |
array[rule] |
False |
|
archive-after-days |
string |
False |
|
object-lock |
string |
False |